Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSConnectionFactoryMBean

public interface JMSConnectionFactoryMBean
extends DeploymentMBean, JMSConstants

This class represents a JMS connection factory. Connection factories are objects that enable JMS clients to create JMS connections.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAcknowledgePolicy()` Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.
`boolean` | `getAllowCloseInOnMessage()` Specifies whether the connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.
`java.lang.String` | `getClientId()` The client ID for a durable subscriber that uses this connection factory.
`java.lang.String` | `getDefaultDeliveryMode()` The default delivery mode used for messages when a delivery mode is not explicitly defined.
`int` | `getDefaultPriority()` The default priority used for messages when a priority is not explicitly defined.
`long` | `getDefaultRedeliveryDelay()` The delay time, in milliseconds, before rolled back or recovered messages are redelivered.
`long` | `getDefaultTimeToDeliver()` The delay time, in milliseconds, between when a message is produced and when it is made visible on its destination.
`long` | `getDefaultTimeToLive()` The maximum length of time, in milliseconds, that a message will exist.
`int` | `getFlowInterval()` The adjustment period of time, in seconds, when a producer adjusts its flow from the FlowMaximum number of messages to the FlowMinimum amount, or vice versa.
`int` | `getFlowMaximum()` The maximum number of messages-per-second allowed for a producer that is experiencing a threshold condition.
`int` | `getFlowMinimum()` The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition.
`int` | `getFlowSteps()` The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa.
`java.lang.String` | `getJNDIName()` The JNDI name used to look up the connection factory within the JNDI namespace.
`int` | `getMessagesMaximum()` The maximum number of messages that can exist for an asynchronous session and that have not yet been passed to the message listener.
`java.lang.String` | `getOverrunPolicy()` The policy to use when the number of outstanding multicast messages reaches the value specified in MessagesMaximum and some messages must be discarded.
`long` | `getSendTimeout()` The maximum length of time, in milliseconds, that a sender will wait when there isn't enough available space (no quota) on a destination to accomodate the message being sent.
`long` | `getTransactionTimeout()` The timeout value (in milliseconds) for all transactions on connections created with this connection factory.
`boolean` | `isFlowControlEnabled()` Specifies whether a producer created using a connection factory allows flow control.
`boolean` | `isLoadBalancingEnabled()` For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.
`boolean` | `isServerAffinityEnabled()` For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations in a distributed destination set, will first attempt to load balance across any other physical destinations that are also running in the same instance.
`boolean` | `isUserTransactionsEnabled()` Deprecated.
`boolean` | `isXAConnectionFactoryEnabled()` Indicates whether a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory.
`boolean` | `isXAServerEnabled()` Deprecated.
`void` | `setAcknowledgePolicy(java.lang.String policy)` Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.
`void` | `setAllowCloseInOnMessage(boolean allowCloseInOnMessage)` Specifies whether the connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.
`void` | `setClientId(java.lang.String id)` The client ID for a durable subscriber that uses this connection factory.
`void` | `setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)` The default delivery mode used for messages when a delivery mode is not explicitly defined.
`void` | `setDefaultPriority(int defaultPriority)` The default priority used for messages when a priority is not explicitly defined.
`void` | `setDefaultRedeliveryDelay(long defaultRedeliveryDelay)` The delay time, in milliseconds, before rolled back or recovered messages are redelivered.
`void` | `setDefaultTimeToDeliver(long timeToDeliver)` The delay time, in milliseconds, between when a message is produced and when it is made visible on its destination.
`void` | `setDefaultTimeToLive(long defaultTimeToLive)` The maximum length of time, in milliseconds, that a message will exist.
`void` | `setFlowControlEnabled(boolean flowControlEnabled)` Specifies whether a producer created using a connection factory allows flow control.
`void` | `setFlowInterval(int flowInterval)` The adjustment period of time, in seconds, when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.
`void` | `setFlowMaximum(int flowMaximum)` The maximum number of messages-per-second allowed for a producer that is experiencing a threshold condition.
`void` | `setFlowMinimum(int flowMinimum)` The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition.
`void` | `setFlowSteps(int flowSteps)` The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa.
`void` | `setJNDIName(java.lang.String name)` The JNDI name used to look up the connection factory within the JNDI namespace.
`void` | `setLoadBalancingEnabled(boolean loadBalancingEnabled)` For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.
`void` | `setMessagesMaximum(int messagesMaximum)` The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener.
`void` | `setOverrunPolicy(java.lang.String policy)` The policy to use when the number of outstanding multicast messages reaches the value specified in MessagesMaximum and some messages must be discarded.
`void` | `setSendTimeout(long sendTimeout)` The maximum length of time, in milliseconds, that a sender will wait when there isn't enough available space (no quota) on a destination to accomodate the message being sent.
`void` | `setServerAffinityEnabled(boolean serverAffinityEnabled)` For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations in a distributed destination set, will first attempt to load balance across any other physical destinations that are also running in the same instance.
`void` | `setTransactionTimeout(long transactionTimeout)` The timeout value (in milliseconds) for all transactions on connections created with this connection factory.
`void` | `setUserTransactionsEnabled(boolean userTransactionsEnabled)` Deprecated.
`void` | `setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)` Indicates whether or not a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory.
`void` | `setXAServerEnabled(boolean XAServerEnabled)` Deprecated.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getJNDIName

    public java.lang.String getJNDIName()

  The JNDI name used to look up the connection factory within the JNDI namespace. The connection factory name is configured separately.

  Old Property: weblogic.jms.ConnectionFactoryName
  Returns:
    The jNDIName value

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  The JNDI name used to look up the connection factory within the JNDI namespace. The connection factory name is configured separately.

  Parameters:
    `name` - The new jNDIName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getClientId

    public java.lang.String getClientId()

  The client ID for a durable subscriber that uses this connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs
  Returns:
    The clientId value

### setClientId

    public void setClientId(java.lang.String id)
                     throws javax.management.InvalidAttributeValueException

  The client ID for a durable subscriber that uses this connection factory.

  A dynamic MBean attribute
  Parameters:
    `id` - The new clientId value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultPriority

    public int getDefaultPriority()

  The default priority used for messages when a priority is not explicitly defined.

  Message producers can get the priority explicitly by calling the `javax.jms.MessageProducer.getPriority()` method.

  Returns:
    The defaultPriority value

### setDefaultPriority

    public void setDefaultPriority(int defaultPriority)
                            throws javax.management.InvalidAttributeValueException

  The default priority used for messages when a priority is not explicitly defined.

  Message producers can set the priority explicitly by calling the `javax.jms.MessageProducer.setPriority()` method.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PRIORITY_DEFAULT
  Legal Minimum Value: PRIORITY_MINIMUM
  Legal Maximum Value: PRIORITY_MAXIMUM
  Parameters:
    `defaultPriority` - The new defaultPriority value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultTimeToDeliver

    public long getDefaultTimeToDeliver()

  The delay time, in milliseconds, between when a message is produced and when it is made visible on its destination.

  Message producers can get the time-to-deliver explicitly by calling the `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()` method.

  Returns:
    The defaultTimeToDeliver value

### setDefaultTimeToDeliver

    public void setDefaultTimeToDeliver(long timeToDeliver)
                                 throws javax.management.InvalidAttributeValueException

  The delay time, in milliseconds, between when a message is produced and when it is made visible on its destination.

  Message producers can set the time-to-deliver explicitly by calling the `weblogic.jms.extensions.WLMessageProducer.setTimeToDeliver()` method.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `timeToDeliver` - The new defaultTimeToDeliver value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultTimeToLive

    public long getDefaultTimeToLive()

  The maximum length of time, in milliseconds, that a message will exist. This value is used for messages when a priority is not explicitly defined. A value of 0 indicates that the message has an infinite amount time to live.

  Message producers can get the time-to-live explicitly by calling the `javax.jms.MessageProducer.getTimeToLive()` method.

  Returns:
    The defaultTimeToLive value

### setDefaultTimeToLive

    public void setDefaultTimeToLive(long defaultTimeToLive)
                              throws javax.management.InvalidAttributeValueException

  The maximum length of time, in milliseconds, that a message will exist. This value is used for messages when a priority is not explicitly defined. A value of 0 indicates that the message has an infinite amount time to live.

  Message producers can set the time-to-live explicitly by calling the `javax.jms.MessageProducer.setTimeToLive()` method.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `defaultTimeToLive` - The new defaultTimeToLive value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSendTimeout

    public long getSendTimeout()

  The maximum length of time, in milliseconds, that a sender will wait when there isn't enough available space (no quota) on a destination to accomodate the message being sent.

  The default time is 10 milliseconds. A value of 0 indicates that the sender does not want to wait for space.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections or their producers. It only affects new connections made with this connection factory. Producers inherit the setting from the connection factory used to create their session and connection. The value can then be overridden at run time by setting the value on the producer.

  Returns:
    The sendTimeout value

### setSendTimeout

    public void setSendTimeout(long sendTimeout)
                        throws javax.management.InvalidAttributeValueException

  The maximum length of time, in milliseconds, that a sender will wait when there isn't enough available space (no quota) on a destination to accomodate the message being sent.

  The default time is 10 milliseconds. A value of 0 indicates that the sender does not want to wait.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections or their producers. It only affects new connections made with this connection factory. Producers inherit the setting from the connection factory used to create their session and connection. The value can then be overridden at run time by setting the value on the producer.

  A dynamic MBean attribute
  Default Value: JMSConstants.SEND_QUOTA_BLOCKING_TIMEOUT
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `sendTimeout` - The new sendTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultDeliveryMode

    public java.lang.String getDefaultDeliveryMode()

  The default delivery mode used for messages when a delivery mode is not explicitly defined.

  Message producers can get the delivery mode explicitly by calling the `javax.jms.MessageProducer.getDeliveryMode()` method.

  Old Property: weblogic.jms.ConnectionFactoryArgs
  Returns:
    The defaultDeliveryMode value

### setDefaultDeliveryMode

    public void setDefaultDeliveryMode(java.lang.String defaultDeliveryMode)
                                throws javax.management.InvalidAttributeValueException

  The default delivery mode used for messages when a delivery mode is not explicitly defined.

  Message producers can set the delivery mode explicitly by calling the `javax.jms.MessageProducer.setDeliveryMode()` method.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: PERSISTENT
  Legal Values: PERSISTENT,NON_PERSISTENT
  Parameters:
    `defaultDeliveryMode` - The new defaultDeliveryMode value
  Throws:
    javax.management.InvalidAttributeValueException -

### getDefaultRedeliveryDelay

    public long getDefaultRedeliveryDelay()

  The delay time, in milliseconds, before rolled back or recovered messages are redelivered.

  Message consumers can get the redelivery delay explicitly by calling the `weblogic.jms.extensions.WLSession.getRedliveryDelay()` method.

  Returns:
    The defaultRedeliveryDelay value

### setDefaultRedeliveryDelay

    public void setDefaultRedeliveryDelay(long defaultRedeliveryDelay)
                                   throws javax.management.InvalidAttributeValueException

  The delay time, in milliseconds, before rolled back or recovered messages are redelivered.

  Message consumers can set the redelivery delay explicitly by calling the `weblogic.jms.extensions.WLSession.setRedliveryDelay()()` method.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 0
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `defaultRedeliveryDelay` - The new defaultRedeliveryDelay value
  Throws:
    javax.management.InvalidAttributeValueException -

### getTransactionTimeout

    public long getTransactionTimeout()

  The timeout value (in milliseconds) for all transactions on connections created with this connection factory.

  If a transacted session is still active after the timeout has elapsed, the transaction is rolled back. A value of 0 indicates that the default value will be used. If you have long-running transactions, you might want to adjust the value of this attribute to allow transactions to complete.

  Old Property: weblogic.jms.ConnectionFactoryArgs
  Returns:
    The transactionTimeout value

### setTransactionTimeout

    public void setTransactionTimeout(long transactionTimeout)
                               throws javax.management.InvalidAttributeValueException

  The timeout value (in milliseconds) for all transactions on connections created with this connection factory.

  If a transacted session is still active after the timeout has elapsed, the transaction is rolled back. A value of 0 indicates that the default value will be used. If you have long-running transactions, you might want to adjust the value of this attribute to allow transactions to complete.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 3600
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `transactionTimeout` - The new transactionTimeout value
  Throws:
    javax.management.InvalidAttributeValueException -

### isUserTransactionsEnabled

    public boolean isUserTransactionsEnabled()

  Deprecated.
  Specifiies whether a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  This attribute is now deprecated -- if the XAServerEnabled attribute is set, then this attribute is automatically set as well.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Old Property: weblogic.jms.ConnectionFactoryArgs
  Returns:
    The userTransactionsEnabled value

### setUserTransactionsEnabled

    public void setUserTransactionsEnabled(boolean userTransactionsEnabled)
                                    throws javax.management.InvalidAttributeValueException

  Deprecated.
  Specifies whether a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  This attribute is now deprecated -- if the XAServerEnabled attribute is set, then this attribute is automatically set as well.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: false
  Parameters:
    `userTransactionsEnabled` - The new userTransactionsEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAllowCloseInOnMessage

    public boolean getAllowCloseInOnMessage()

  Specifies whether the connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.

  - If selected (true), a `close()` method call from within an `onMessage()` method call will succeed instead of blocking forever. If the acknowledge mode of the session is set to `AUTO_ACKNOWLEDGE`, the current message will still be acknowledged automatically when the `onMessage()` call completes.

  - If not selected (false), it will cause the `stop()` and `close()` methods to hang if called from `onMessage()`.

  This attribute is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Old Property: weblogic.jms.ConnectionFactoryArgs
  Returns:
    The allowCloseInOnMessage value

### setAllowCloseInOnMessage

    public void setAllowCloseInOnMessage(boolean allowCloseInOnMessage)
                                  throws javax.management.InvalidAttributeValueException

  Specifies whether the connection factory creates message consumers that allow a `close()` method to be issued within its `onMessage()` method call.

  - If selected (true), a `close()` method call from within an `onMessage()` method call will succeed instead of blocking forever. If the acknowledge mode of the session is set to `AUTO_ACKNOWLEDGE`, the current message will still be acknowledged automatically when the `onMessage()` call completes.

  - If not selected (false), it will cause the `stop()` and `close()` methods to hang if called from `onMessage()`.

  This attribute is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: false
  Parameters:
    `allowCloseInOnMessage` - The new allowCloseInOnMessage value
  Throws:
    javax.management.InvalidAttributeValueException -

### getMessagesMaximum

    public int getMessagesMaximum()

  The maximum number of messages that can exist for an asynchronous session and that have not yet been passed to the message listener. A value of -1 indicates that there is no limit on the number of messages. In this case, however, the limit is set to the amount of remaining virtual memory. A value of 0 is not valid and will cause various exceptions to be thrown.

  When the number of messages reaches the MessagesMaximum value:

  - For multicast sessions, new messages are discarded according the policy specified by the OverrunPolicy attribute and a DataOverrunException is thrown.

  - For non-multicast sessions, new messages are flow-controlled, or retained on the server until the application can accommodate the messages.

  For multicast sessions, when a connection is stopped, messages will continue to be delivered, but only until the MessagesMaximum value is reached. Once this value is reached, messages will be discarded based on the Overrun policy.

  Returns:
    The messagesMaximum value

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws javax.management.InvalidAttributeValueException

  The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener. A value of -1 indicates that there is no limit on the number of messages. In this case, however, the limit is set to the amount of remaining virtual memory. A value of 0 is not valid and will cause various exceptions to be thrown.

  When the number of messages reaches the MessagesMaximum value:

  - For multicast sessions, new messages are discarded according the policy specified by the OverrunPolicy attribute and a DataOverrunException is thrown.

  - For non-multicast sessions, new messages are flow-controlled, or retained on the server until the application can accommodate the messages.

  For multicast sessions, when a connection is stopped, messages will continue to be delivered, but only until the MessagesMaximum value is reached. Once this value is reached, messages will be discarded based on the Overrun policy.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: 10
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -

### getOverrunPolicy

    public java.lang.String getOverrunPolicy()

  The policy to use when the number of outstanding multicast messages reaches the value specified in MessagesMaximum and some messages must be discarded.

  - If set to KeepNew, the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed.

  - If set to KeepOld, the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed.

  Message age is defined by the order of receipt, not by the JMSTimestamp value.

  Returns:
    The overrunPolicy value

### setOverrunPolicy

    public void setOverrunPolicy(java.lang.String policy)
                          throws javax.management.InvalidAttributeValueException

  The policy to use when the number of outstanding multicast messages reaches the value specified in MessagesMaximum and some messages must be discarded.

  - If set to KeepNew, the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed.

  - If set to KeepOld, the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  A dynamic MBean attribute
  Default Value: JMSConstants.KEEP_OLD
  Legal Values: JMSConstants.KEEP_OLD, JMSConstants.KEEP_NEW
  Parameters:
    `policy` - The new overrunPolicy value
  Throws:
    javax.management.InvalidAttributeValueException -

### isXAConnectionFactoryEnabled

    public boolean isXAConnectionFactoryEnabled()

  Indicates whether a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory. An XA connection factory can be used to create an XAConnection, which in turn may be used to create an XASession, which in turn may be used to obtain an XAResource for use inside a transaction manager.

  In addition, this attribute indicates whether or not a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Returns:
    The xAConnectionFactoryEnabled value

### setXAConnectionFactoryEnabled

    public void setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)
                                       throws javax.management.InvalidAttributeValueException

  Indicates whether or not a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory. An XA connection factory can be used to create an XAConnection, which in turn may be used to create an XASession, which in turn may be used to obtain an XAResource for use inside a transaction manager.

  In addition, this attribute indicates whether or not a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Default Value: false
  Parameters:
    `XAConnectionFactoryEnabled` - The new xAConnectionFactoryEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAcknowledgePolicy

    public java.lang.String getAcknowledgePolicy()

  Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.

  This attribute works around a change in the JMS specification. Specifically, the specification allowed users to acknowledge all messages before and including the message geing acknowledged. The specification was changed so that acknowledging any message acknowledges all messages ever received (even those received after the message being acknowledge), as follows:

  - An acknowledge policy of `ACKNOWLEDGE_PREVIOUS` retains the old behavior (acknowledge all message up to and including the message being acknowledged).

  - An acknowledge policy of `ACKNOWLEDGE_ALL` yields the new behavior, where all messages received by the given session are acknowledged regardless of which message is being used to effect the acknowledge.

  Returns:
    The acknowledgePolicy value

### setAcknowledgePolicy

    public void setAcknowledgePolicy(java.lang.String policy)
                              throws javax.management.InvalidAttributeValueException

  Note: This attribute only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.

  This attribute works around a change in the JMS specification. Specifically, the specification allowed users to acknowledge all messages before and including the message geing acknowledged. The specification was changed so that acknowledging any message acknowledges all messages ever received (even those received after the message being acknowledge), as follows:

  - An acknowledge policy of `ACKNOWLEDGE_PREVIOUS` retains the old behavior (acknowledge all message up to and including the message being acknowledged).

  - An acknowledge policy of `ACKNOWLEDGE_ALL` yields the new behavior, where all messages received by the given session are acknowledged regardless of which message is being used to effect the acknowledge.

  A dynamic MBean attribute
  Default Value: JMSConstants.ACKNOWLEDGE_ALL
  Legal Values: JMSConstants.ACKNOWLEDGE_ALL,JMSConstants.ACKNOWLEDGE_PREVIOUS
  Secure Value: weblogic.management.configuration.JMSConstants.ACKNOWLEDGE_ALL
  Parameters:
    `policy` - The new acknowledgePolicy value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFlowMinimum

    public int getFlowMinimum()

  The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition. This is the lower boundary of a producer's flow limit. That is, WebLogic JMS will not further slow down a producer whose message flow limit is at its FlowMinimum.

  When a producer is flow controlled it will never be required to go slower than FlowMinimum messages per second.

  Returns:
    The flowMinimum value

### setFlowMinimum

    public void setFlowMinimum(int flowMinimum)
                        throws javax.management.InvalidAttributeValueException

  The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition. This is the lower boundary of a producer's flow limit. That is, WebLogic JMS will not further slow down a producer whose message flow limit is at its FlowMinimum.

  When a producer is flow controlled it will never be required to go slower than FlowMinimum messages per second.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 50
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `flowMinimum` - The new flowMinimum value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFlowMaximum

    public int getFlowMaximum()

  The maximum number of messages-per-second allowed for a producer that is experiencing a threshold condition. When a producer is flow controlled it will never be allowed to go faster than the FlowMaximum messages per second.

  If a producer is not currently limiting its flow when a threshold condition is reached, the initial flow limit for that producer is set to FlowMaximum. If a producer is already limiting its flow when a threshold condition is reached (the flow limit is less than FlowMaximum), then the producer will continue at its current flow limit until the next time the flow is evaluated.

  Note: Once a threshold condition has subsided, the producer is not permitted to ignore its flow limit. If its flow limit is less than the FlowMaximum, then the producer must gradually increase its flow to the FlowMaximum each time the flow is evaluated. When the producer finally reaches the FlowMaximum, it can then ignore its flow limit and send without limiting its flow.

  Returns:
    The flowMaximum value

### setFlowMaximum

    public void setFlowMaximum(int flowMaximum)
                        throws javax.management.InvalidAttributeValueException

  The maximum number of messages-per-second allowed for a producer that is experiencing a threshold condition. When a producer is flow controlled it will never be allowed to go faster than FlowMaximum messages per second.

  If a producer is not currently limiting its flow when a threshold condition is reached, the initial flow limit for that producer is set to FlowMaximum. If a producer is already limiting its flow when a threshold condition is reached (the flow limit is less than FlowMaximum), then the producer will continue at its current flow limit until the next time the flow is evaluated.

  Note: Once a threshold condition has subsided, the producer is not permitted to ignore its flow limit. If its flow limit is less than the FlowMaximum, then the producer must gradually increase its flow to the FlowMaximum each time the flow is evaluated. When the producer finally reaches the FlowMaximum, it can then ignore its flow limit and send without limiting its flow.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 500
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Secure Value: (value >=1)
  Parameters:
    `flowMaximum` - The new flowMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFlowInterval

    public int getFlowInterval()

  The adjustment period of time, in seconds, when a producer adjusts its flow from the FlowMaximum number of messages to the FlowMinimum amount, or vice versa.

  When a producer is flow controlled, it is slowed down from its FlowMaximum to its FlowMinimum over the FlowInterval seconds.

  Returns:
    The flowInterval value

### setFlowInterval

    public void setFlowInterval(int flowInterval)
                         throws javax.management.InvalidAttributeValueException

  The adjustment period of time, in seconds, when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.

  When a producer is flow controlled, it is slowed down from its FlowMaximum to its FlowMinimum over the FlowInterval seconds.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 60
  Legal Value: (value >= ((JMSConnectionFactoryMBean) self).getFlowSteps()) && (value < java.lang.Integer.MAX_VALUE)
  Legal Minimum Value: 0
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `flowInterval` - The new flowInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

### getFlowSteps

    public int getFlowSteps()

  The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa. Specifically, the Flow Interval adjustment period is divided into the number of Flow Steps (for example, 60 seconds divided by 6 steps is 10 seconds per step).

  Also, the movement (i.e., the rate of adjustment) is calculated by dividing the difference between the Flow Maximum and the Flow Minimum into steps. At each Flow Step, the flow is adjusted upward or downward, as necessary, based on the current conditions, as follows:

  - The downward movement (the decay) is geometric over the specified period of time (Flow Interval) and according to the specified number of Flow Steps. (For example, 100, 50, 25, 12.5)

  - The movement upward is linear. The difference is simply divided by the number of steps.

  Returns:
    The flowSteps value

### setFlowSteps

    public void setFlowSteps(int flowSteps)
                      throws javax.management.InvalidAttributeValueException

  The number of steps used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa. Specifically, the Flow Interval adjustment period is divided into the number of Flow Steps (for example, 60 seconds divided by 6 steps is 10 seconds per step).

  Also, the movement (i.e., the rate of adjustment) is calculated by dividing the difference between the Flow Maximum and the Flow Minimum into steps. At each Flow Step, the flow is adjusted upward or downward, as necessary, based on the current conditions, as follows:

  - The downward movement (the decay) is geometric over the specified period of time (Flow Interval) and according to the specified number of Flow Steps. (For example, 100, 50, 25, 12.5)

  - The movement upward is linear. The difference is simply divided by the number of steps.

  This attribute is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  A dynamic MBean attribute
  Default Value: 10
  Legal Value: (value >= 1) && (value <= ((JMSConnectionFactoryMBean) self).getFlowInterval())
  Legal Minimum Value: 1
  Legal Maximum Value: java.lang.Integer.MAX_VALUE
  Parameters:
    `flowSteps` - The new flowSteps value
  Throws:
    javax.management.InvalidAttributeValueException -

### isFlowControlEnabled

    public boolean isFlowControlEnabled()

  Specifies whether a producer created using a connection factory allows flow control. If true, the associated message producers will be slowed down if the JMS server reaches Btyes/MessagesThresholdHigh.

  Returns:
    The flowControlEnabled value

### setFlowControlEnabled

    public void setFlowControlEnabled(boolean flowControlEnabled)
                               throws javax.management.InvalidAttributeValueException

  Specifies whether a producer created using a connection factory allows flow control. If true, the associated message producers will be slowed down if the JMS server reaches Btyes/MessagesThresholdHigh.

  A dynamic MBean attribute
  Default Value: true
  Parameters:
    `flowControlEnabled` - The new flowControlEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isLoadBalancingEnabled

    public boolean isLoadBalancingEnabled()

  For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.

  - If true, the associated message producers will be load balanced on every `send()` or `publish()`.

  - If false, the associated message producers will be load balanced on the first `send()` or `publish()`.

  Returns:
    The loadBalancingEnabled value

### setLoadBalancingEnabled

    public void setLoadBalancingEnabled(boolean loadBalancingEnabled)
                                 throws javax.management.InvalidAttributeValueException

  For distributed destinations, specifies whether non-anonymous producers created through a connection factory are load balanced within a distributed destination on a per-call basis.

  - If true, the associated message producers will be load balanced on every `send()` or `publish()`.

  - If false, the associated message producers will be load balanced on the first `send()` or `publish()`.

  A dynamic MBean attribute
  Default Value: true
  Parameters:
    `loadBalancingEnabled` - The new loadBalancingEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isServerAffinityEnabled

    public boolean isServerAffinityEnabled()

  For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations in a distributed destination set, will first attempt to load balance across any other physical destinations that are also running in the same instance.

  Returns:
    The serverAffinityEnabled value

### setServerAffinityEnabled

    public void setServerAffinityEnabled(boolean serverAffinityEnabled)
                                  throws javax.management.InvalidAttributeValueException

  For distributed destinations, specifies whether a WebLogic Server instance that is load balancing consumers or producers across multiple physical destinations in a distributed destination set, will first attempt to load balance across any other physical destinations that are also running in the same instance.

  A dynamic MBean attribute
  Default Value: true
  Parameters:
    `serverAffinityEnabled` - The new serverAffinityEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isXAServerEnabled

    public boolean isXAServerEnabled()

  Deprecated.
  Return the value of the XAServerEnabled attribute for the connection factory.

  Determines whether XA-enabled JMS connections and sessions are always created when this connection factory is invoked from inside a WebLogic Server instance.

  This attribute is deprecated -- it is now possible to use a single XA-enabled connection factory for both XA- and non-XA purposes.

  Returns:
    The xAServerEnabled value

### setXAServerEnabled

    public void setXAServerEnabled(boolean XAServerEnabled)
                            throws javax.management.InvalidAttributeValueException

  Deprecated.
  Set the value of the XAServerEnabled attribute for the connection factory.

  Determines whether XA-enabled JMS connections and sessions are always created when this connection factory is invoked from inside a WebLogic Server instance.

  This attribute is deprecated -- it is now possible to use a single XA-enabled connection factory for both XA- and non-XA purposes.

  Default Value: false
  Parameters:
    `XAServerEnabled` - The new xAServerEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD